﻿Type=Class
Version=3.8
B4A=true
@EndOfDesignText@
' Events declaration
#Event: 

' Class module

Sub Class_Globals
  Private mTarget As Object
  Private mEventName As String
  
  Private lblSeek As Label
  Private lstSeek As List
  Private lblText As String
  
  Private sbSeek As SeekBar
  Public pnl As Panel
End Sub

' ComboBox consists of edittext, drop button

Public Sub Initialize (TargetModule As Object, EventName As String)
  mTarget = TargetModule
  mEventName = EventName
End Sub

Public Sub DesignerCreateView(Base As Panel, lbl As Label, Props As Map)
  pnl = Base
  pnl.Color = Colors.LightGray
  
  Dim p As Panel
  
  p.Initialize("")
  p.Color = Colors.White
  pnl.AddView(p, 1dip, 1dip, pnl.Width - 2dip, pnl.Height - 2dip)
  
  lstSeek.Initialize
  lblText = lbl.Text
  
  lblSeek.Initialize("")
  lblSeek.TextColor = Colors.Black
  lblSeek.Gravity = Bit.OR(Gravity.CENTER_HORIZONTAL, Gravity.CENTER_VERTICAL)
  lblSeek.Text = lblText
  
  p.AddView(lblSeek, 0, 0, p.width * 0.20, p.height)
  
  sbSeek.Initialize("sbSeek")
  sbSeek.Max = 100

  p.AddView(sbSeek, lblSeek.width, (p.Height - 30dip) / 2, p.width - lblSeek.width - 2dip, 30dip)
End Sub

Private Sub sbSeek_ValueChanged(Value As Int, UserChanged As Boolean)
  If ((lstSeek.Size < 1) OR (Value >= lstSeek.Size)) Then Return
  
  Dim v As String = lstSeek.Get(Value)
  
  SetLabel(lblText & CRLF & v)
  CallSub2(mTarget, "LBSChanged", v)
End Sub
    
Public Sub AddList(lst As List)
  If (lst.Size > 0) Then
    For i=0 To lst.Size-1
      lstSeek.Add((lst.Get(i)))
    Next
  
    sbSeek.Max = lstSeek.Size - 1
    SetLabel(lstSeek.Get(0))
  Else
    Clear
    SetLabel("")
  End If
End Sub

Public Sub Clear
  lstSeek.Clear
End Sub

Public Sub SetLabel(s As String)
  lblSeek.Text = s
End Sub

Public Sub SetValue(n)
  sbSeek.Value = n
  sbSeek_ValueChanged(n, False)
End Sub

Public Sub SetItmVal(itm As String)
  Dim i As Int = lstSeek.IndexOf(itm)
  
  If (i < 0) Then
    SetValue(0)
  Else
    SetValue(i)
  End If
End Sub
